質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.60%

  • PHP

    19869questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • Laravel 5

    1798questions

    Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。

[Laravel5.1] [Symfony\Component\Debug\Exception\FatalThrowableError]

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 493

yuus2733

score 101

Lara帳
自身の環境をLaravel5.1に戻して進めています。
(以前5.4で教えていただきながらできたところはコピーして急いで進めています。)
laravelcollectiveをインストールして、app.phpのProviderの部分に

Collective\Html\HtmlServiceProvider::class,


を加えると、php artisan serveで

  [Symfony\Component\Debug\Exception\FatalThrowableError]
  Class 'Collective\Html\HtmlServiceProvider' not found


というエラーが返ってきます。5.4でやったときはRequestメソッドがないからファイルを作ればいいと教えていただいたのですが、これも同じ類なのでしょうか。ご教示お願いします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+2

https://laravelcollective.com/docs/5.1/html

このようにやりましたか?

投稿

編集

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/09/11 20:11

    ありがとうございます。
    composer require laravelcollective/html
    でインストールしてからCllective以下の記述をしたところ、エラーが返ってきました。今composer updateしています・・・

    キャンセル

  • 2017/09/11 20:15 編集

    composer updateでも同じエラーが出ました。
    その間検索したのですが、
    https://www.messiahworks.com/archives/10575
    このようなページを見つけました。
    artisan make:providerで作らなければいけないとすると、
    生成されなくなったということでしょうか

    キャンセル

  • 2017/09/11 20:17 編集

    それは恐らくバージョンを指定していないからです。
    composer require "laravelcollective/html":"5.1.*"
    以前の質問でも同じような回答をしていた気がします
    →https://teratail.com/questions/91059

    LaravelCollectiveのドキュメントと同じようにやる場合は、composer requireを使わずに、直接composer.jsonをいじってからcomposer updateしてください。

    キャンセル

  • 2017/09/11 20:18

    artisan make:providerで作る必要はないです。

    キャンセル

  • 2017/09/11 20:24 編集

    ありがとうございます。
    今あらためて5.4でgulpをインストールしたいとか言ったあたりの記事を見直してみたのですが、ログが流れてしまったかもしれません・・・申し訳ないです。バージョン指定してやり直してみたところ、エラーは出なくなりました。
    今度はcreate.blade.phpが反映されないのでそれを見直しています。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 90.60%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る

  • PHP

    19869questions

    PHPは、Webサイト構築に特化して開発されたプログラミング言語です。大きな特徴のひとつは、HTMLに直接プログラムを埋め込むことができるという点です。PHPを用いることで、HTMLを動的コンテンツとして出力できます。HTMLがそのままブラウザに表示されるのに対し、PHPプログラムはサーバ側で実行された結果がブラウザに表示されるため、PHPスクリプトは「サーバサイドスクリプト」と呼ばれています。

  • Laravel 5

    1798questions

    Laravel 5は、PHPフレームワークLaravelの最新バージョンで、2014年11月に発表予定です。ディレクトリ構造がが現行版より大幅に変更されるほか、メソッドインジェクションやFormRequestの利用が可能になります。